#include <bits/stdc++.h>
#define INF 1000000000
#define D 100007
//#define endl "\n"
using namespace std;
string a;
long long q,j,i,v1,v2,res,p;
//char a[10000];
int main(){
    cin>>a;
    //p=n.size();
    //for(i=0;i<=p;i++)a[i]=n[i];
    cin>>q;
    for(j=1;j<=q;j++){
        res=1;
        cin>>v1>>v2;
        for(i=v1;i<v2;i++){
            if(a[i-1]>a[i])res++;
        }
        cout<<res<<endl;
    }


return 0;
}
